Bug 1711465 - [RFE][scale & performance] Add installer option for common scale related tuning parameters
Summary: [RFE][scale & performance] Add installer option for common scale related tuni...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On: 1215390
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-17 21:24 UTC by Mike McCune
Modified: 2020-04-14 13:24 UTC (History)
3 users (show)

Fixed In Version: foreman-installer-1.24.0-0.7.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:42 UTC

Description Mike McCune 2019-05-17 21:24:43 UTC
The following settings are required to tune a Satellite 6 server for scale and are only available in custom-heira.yaml. We need to add these as options as installer flags if possible:

apache::mod::passenger::passenger_max_pool_size: 30
apache::mod::passenger::passenger_max_request_queue_size: 1000
apache::mod::passenger::passenger_max_requests: 1000

apache::mod::prefork::serverlimit: 1024
apache::mod::prefork::maxclients: 1024
apache::mod::prefork::maxrequestsperchild: 4000

qpid::open_file_limit: 65536
qpid::router::open_file_limit: 150100

candlepin::java_opts: "-Xms1024m -Xmx8192m"


postgresql::server::config_entries:
  max_connections: 1000
  shared_buffers: 4GB
  work_mem: 4MB
  checkpoint_segments: 32
  checkpoint_completion_target: 0.9
  effective_cache_size: 16GB
  autovacuum_vacuum_cost_limit: 2000
  log_min_duration_statement: 500


some of these may rely on changes being needed in the upstream puppet modules for Apache and Postgres, but as we work to provide better options for customers to *properly* tune their Satellite with our installer, we need to move these common used parameters out of custom-heira.yaml into proper flags + answer file locations.

See also:

https://bugzilla.redhat.com/show_bug.cgi?id=1692535

Comment 3 Devendra Singh 2020-02-03 09:42:47 UTC
This issue has been successfully verified in 6.7 Snap10, now user can change the deployment size as per their requirement using satellite-installer.

# satellite-installer --help
 --tuning INSTALLATION_SIZE    Tune for an installation size. Choices: default, medium, large, extra-large, extra-extra-large (default: "default")

# satellite-installer --tuning medium --disable-system-checks 
Installing             Done                                               [100%] [................................................................................................................................]

  Success!

# grep tuning /etc/foreman-installer/scenarios.d/satellite.yaml
  tuning: medium
:tuning: medium

Comment 6 errata-xmlrpc 2020-04-14 13:24:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.